Delete SSH session
DELETE
/
v1
/
machines
/
{machine_id}
/
ssh
/
{session_id}
Delete SSH session
curl --request DELETE \
--url https://dcs.dedaluslabs.ai/v1/machines/{machine_id}/ssh/{session_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://dcs.dedaluslabs.ai/v1/machines/{machine_id}/ssh/{session_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://dcs.dedaluslabs.ai/v1/machines/{machine_id}/ssh/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2023-11-07T05:31:56Z",
"machine_id": "<string>",
"session_id": "<string>",
"connection": {
"endpoint": "<string>",
"port": 123,
"ssh_username": "<string>",
"host_trust": {
"host_pattern": "<string>",
"kind": "cert_authority",
"public_key": "<string>"
},
"user_certificate": "<string>"
},
"error_code": "<string>",
"error_message": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"ready_at": "2023-11-07T05:31:56Z",
"retry_after_ms": 123
}
Authorizations
ApiKeyAuthBearerAuth
Dedalus API key. Alternative to Bearer token.
Headers
Path Parameters
Required string length:
4 - 253Pattern:
^dm-[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Required string length:
1 - 253Pattern:
^[A-Za-z0-9]([A-Za-z0-9._-]*[A-Za-z0-9])?$Response
OK
Available options:
wake_in_progress, ready, closed, expired, failed Show child attributes
Show child attributes
Last modified on July 13, 2026
Was this page helpful?
⌘I
Delete SSH session
